GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
pick_first.c File Reference
`#include "src/core/client_config/lb_policies/pick_first.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include "src/core/transport/connectivity_state.h"`

## Data Structures
struct | pending_pick
struct | pick_first_lb_policy

## Typedefs
typedef struct pending_pick | pending_pick

## Functions
void | pf_destroy (grpc_lb_policy *pol)
void | pf_shutdown (grpc_lb_policy *pol)
void | pf_exit_idle (grpc_lb_policy *pol)
void | pf_pick (grpc_lb_policy *pol, grpc_pollset *pollset, grpc_metadata_batch *initial_metadata, grpc_subchannel **target, grpc_iomgr_closure *on_complete)
grpc_lb_policy * | grpc_create_pick_first_lb_policy (grpc_subchannel **subchannels, size_t num_subchannels)
| Returns a load balancing policy instance that picks up the first subchannel from subchannels to succesfully connect. More...

## Typedef Documentation

typedef struct pending_pick pending_pick

## Function Documentation

grpc_lb_policy* grpc_create_pick_first_lb_policy | ( | grpc_subchannel ** | subchannels,
|  | size_t | num_subchannels
| ) |  |

Returns a load balancing policy instance that picks up the first subchannel from subchannels to succesfully connect.

void pf_destroy | ( | grpc_lb_policy * | pol | ) |

void pf_exit_idle | ( | grpc_lb_policy * | pol | ) |

void pf_pick | ( | grpc_lb_policy * | pol,
|  | grpc_pollset * | pollset,
|  | grpc_metadata_batch * | initial_metadata,
|  | grpc_subchannel ** | target,
|  | grpc_iomgr_closure * | on_complete
| ) |  |

void pf_shutdown | ( | grpc_lb_policy * | pol | ) |